Bug 102325 - glibc headers do not include ADDR_LIMIT_3GB define
glibc headers do not include ADDR_LIMIT_3GB define
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc-kernheaders (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-13 16:46 EDT by Mark Langsdorf
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-15 09:05:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Langsdorf 2003-08-13 16:46:00 EDT
Description of problem:
/usr/include/linux/personality.h and /usr/src/linux/include/linux/personality.h
differ: the kernel version includes a new #define to describe 32-bit systems
with only 3 GB of addressable memory (called ADDR_LIMIT_3GB).  The glibc 
include files should match the kernel version.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Elliot Lee 2003-08-13 16:52:59 EDT
FWIW this isn't in the Taroon kernel itself, either - I suppose it needs to get in there before 
glibc-kernheaders.
Comment 2 Mark Langsdorf 2003-08-13 16:55:21 EDT
There are sound technical and business reasons to support the 3GB address limit,
so please add it to the Taroon kernel.
Comment 3 David Woodhouse 2005-04-15 09:05:01 EDT
This is present in RHEL4 personality.h. If the functionality really is required
in a Taroon kernel update, please reopen a feature request through appropriate
channels, and we'll add the define to userspace personality.h if/when the kernel
starts to support it.

Note You need to log in before you can comment on or make changes to this bug.